[data-theme='dark'] {
  --text-colour: white;
  --border: #43444d;
}

[data-theme='light'] {
  --text-colour: #040034;
  --border: #bbbbbb;
}

.search-results-tab[data-hidden='T'] {
  width: 100%;
  height: 100%;
  display: none;
  flex-direction: column;
  margin-top: 10px;
}

.search-results-tab[data-hidden='F'] {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  margin-top: 5px;
  color: var(--text-colour);
}

.search-results-info-holder {
  width: 100%;
}

.search-results-info-loading {
  display: none;
}

.search-results-info {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 20pt;
}

.search-results-info-short-description,
.search-results-info-short-description-wide {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  white-space: nowrap;
  padding-left: 10px;
  padding-right: 10px;
}

.search-results-info-short-description {
  font-size: 10pt;
  flex: 0 0 auto;
  height: 50px;
  text-align: center;
}

.search-results-info-short-description-wide {
  font-size: 12pt;
  flex: 1 1 auto;
  height: 60px;
  text-align: left;
}

.search-results-info-long-description {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 14px;
  margin: 30px 0;
  overflow: auto;
}

.search-results-info-long-description-tall {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 10pt;
  flex: 1 1 auto;
  width: 100%;
  overflow: auto;
}

.search-results-tab-bar-hidden {
  display: none;
}

.search-results-tab-bar {
  /*width: 100%;*/
  flex: 0 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: transparent;
}

.search-results-tab-bar[data-row-flex='T'] {
  flex: 1 1 auto;
}

.search-results-tab-bar-fixed {
  flex: 0 0 auto;
}

.search-results-per-page {
  flex: 1 1 auto;
  align-items: right;
  color: var(--text-colour);
  text-align: right;
}

.search-results-per-page-dropdown {
  margin: 0px 5px 0px 5px;
  border: 1px solid var(--text-colour);
  width: 60px;
  color: var(--text-colour);
}

/*
	//	a tab bar of 100% width.
	*/

.search-tab-bar-hidden {
  display: none;
}

.search-tab-bar {
  width: 100%;
  /*flex: 0 0 40px;*/
  height: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 5px 0px 0px 0px;
  background-color: transparent;
}

.search-tab-bar-results {
  flex: 0 0 auto;
}

.search-tab-bar-fixed {
  flex: 0 0 auto;
  /*padding: 0px 6px 0px 6px;*/
}

.search-results-table-holder-hidden {
  display: none;
  height: 0px;
  flex: 1 1 auto;
}

.search-results-table-holder-visible {
  height: 0px;
  flex: 1 1 auto;
}

.search-results-table-holder {
  /*display: flex;
			flex-direction: column;*/
  width: 100%;
  height: 100%;
  overflow-x: auto;
  overflow-y: auto;
  align-items: left;
}

.search-results-table-hide {
  display: none;
}

.search-results-table {
  margin: 10px 10px 0px 10px;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 10pt;
  border-collapse: collapse;
  text-align: center;
  /*width: 100%;*/
}

.search-results-table-row-header {
  height: 32px;
}

.search-results-table-row {
  height: 32px;
}

.actions-image {
  padding-right: 5px;
}

.search-results-table-loading {
  display: flex;
  flex-direction: row;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 11pt;
  width: 200px;
  align-items: center;
  padding-top: 10px;
}

.search-results-table-loaded {
  display: none;
}

th {
  border-width: 1px;
  border-style: solid none solid none;
  border-color: var(--border);
}

td {
  border-width: 1px;
  border-style: solid none solid none;
  border-color: var(--border);
}

/*
	//	the search catalog results footer
	*/

.search-results-footer-hidden {
  display: none;
}

.search-results-footer {
  flex: 0 0 40px;
  display: flex;
  flex-direction: row;
  /*background-color: #e70068;*/
  background-color: transparent;
  align-items: center;
  padding-right: 10px;
  margin: 0px 5px 5px 5px;
}

.search-results-showing-count {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 10pt;
  color: white;
  margin-left: 10px;
}

.search-results-navigation-button,
.search-results-navigation-button-selected {
  width: 20pt;
  padding: 1pt;
  height: 28px;
  background-color: transparent;
  border-style: none;
  border-radius: 10px;
  margin-left: 2px;
  margin-right: 2px;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 11pt;
  color: var(--text-colour);
}

.search-results-navigation-button-disabled {
  width: 20pt;
  height: 28px;
  background-color: transparent;
  border-style: none;
  border-radius: 10px;
  margin-left: 2px;
  margin-right: 2px;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 11pt;
  color: gray;
}

.search-results-navigation-button-selected {
  /*border: 2px solid #bb221c;*/
  border: 2px solid #ffffff;
}

.search-results-navigation-button:hover {
  /*background-color: #6371b5;*/
  background-color: #ff4386;
  transition: 0.7s;
  cursor: pointer;
}
